package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class UpdateBatchAutoStaticCommand extends
		AbstractBatchAutoStaticCommand {

	public UpdateBatchAutoStaticCommand(DataSource dataSource,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new UpdateBatchAutoHandler(getDataSource(), getBeanMetaData(),
				getPropertyTypes());
	}

	protected void setupSql() {
		setupUpdateSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupUpdatePropertyTypes(propertyNames);

	}
}